%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Plugins for the Eye of GNOME image viewer

Name:		eog-plugins
Version:	3.16.0
Release:	3
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org/projects/eog/
Source0: 	https://download.gnome.org/sources/eog-plugins/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(champlain-0.12)
BuildRequires:	pkgconfig(eog)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libgdata)

Requires:	eog

%description
This is the Eye of Gnome, an image viewer program. It is meant
to be a fast and functional image viewer as well as an image
cataloging program. It does proper handling of large images and
images with full opacity information, and can zoom and scroll
images quickly while keeping  memory usage constant.

This package contains additional plugins for EOG:
- Map
- Exif display
- Zoom to fit image width
- Flickr Uploader
- PicasaWeb Uploader
- Python Console
- Send By Mail
- Slideshow Shuffle

%files -f %{name}.lang
%doc AUTHORS NEWS README
# %{_datadir}/eog/plugins/*
# %{_libdir}/eog/plugins/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_libdir}/eog/plugins/exif-display.plugin
%{_libdir}/eog/plugins/fit-to-width.plugin
%{_libdir}/eog/plugins/hide-titlebar.plugin
%{_libdir}/eog/plugins/libexif-display.so
%{_libdir}/eog/plugins/libfit-to-width.so
%{_libdir}/eog/plugins/libhide-titlebar.so
%{_libdir}/eog/plugins/liblight-theme.so
%{_libdir}/eog/plugins/libmap.so
%{_libdir}/eog/plugins/libpostasa.so
%{_libdir}/eog/plugins/libsend-by-mail.so
%{_libdir}/eog/plugins/light-theme.plugin
%{_libdir}/eog/plugins/map.plugin
%{_libdir}/eog/plugins/postasa.plugin
%{_libdir}/eog/plugins/send-by-mail.plugin
%{_datadir}/appdata/eog-exif-display.metainfo.xml
%{_datadir}/appdata/eog-fit-to-width.metainfo.xml
%{_datadir}/appdata/eog-hide-titlebar.metainfo.xml
%{_datadir}/appdata/eog-light-theme.metainfo.xml
%{_datadir}/appdata/eog-map.metainfo.xml
%{_datadir}/appdata/eog-postasa.metainfo.xml
%{_datadir}/appdata/eog-send-by-mail.metainfo.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

%changelog

* Tue Jul 28 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-3
- (b28c223) rebuilt against new libgdata


